###########################################################################
#
#   mis.mak
#
#   MisfitMAME target makefile
#
#   Copyright (c) 1996-2006, Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################


#-------------------------------------------------
# driver.c is MAME-specific and contains the
# list of drivers
#-------------------------------------------------

COREOBJS += $(OBJ)/misfit/mis_driv.o



#-------------------------------------------------
# specify available CPU cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------

# this is for pong in misfitmame
CPUS += GENSYNC

CPUS += Z80
#CPUS += Z180
#CPUS += 8080
CPUS += 8085A
CPUS += M6502
CPUS += M65C02
CPUS += M65SC02
#CPUS += M65CE02
#CPUS += M6509
#CPUS += M6510
#CPUS += M6510T
#CPUS += M7501
#CPUS += M8502
CPUS += N2A03
#CPUS += DECO16
#CPUS += M4510
CPUS += H6280
CPUS += I86
#CPUS += I88
#CPUS += I186
#CPUS += I188
#CPUS += I286
#CPUS += V20
#CPUS += V30
#CPUS += V33
#CPUS += V60
#CPUS += V70
CPUS += I8035
CPUS += I8039
#CPUS += I8048
#CPUS += N7751
#CPUS += I8X41
#CPUS += I8051
#CPUS += I8052
#CPUS += I8751
#CPUS += I8752
CPUS += M6800
CPUS += M6801
CPUS += M6802
CPUS += M6803
CPUS += M6808
CPUS += HD63701
#CPUS += NSC8105
#CPUS += M6805
#CPUS += M68705
CPUS += HD63705
#CPUS += HD6309
CPUS += M6809
#CPUS += M6809E
#CPUS += KONAMI
CPUS += M68000
CPUS += M68010
CPUS += M68EC020
#CPUS += M68020
#CPUS += M68040
#CPUS += T11
CPUS += S2650
#CPUS += TMS34010
#CPUS += TMS34020
#CPUS += TMS9900
#CPUS += TMS9940
CPUS += TMS9980
#CPUS += TMS9985
#CPUS += TMS9989
CPUS += TMS9995
#CPUS += TMS99105A
#CPUS += TMS99110A
#CPUS += Z8000
CPUS += TMS32010
#CPUS += TMS32025
#CPUS += TMS32026
#CPUS += TMS32031
CPUS += CCPU
#CPUS += ADSP2100
#CPUS += ADSP2101
#CPUS += ADSP2104
#CPUS += ADSP2105
#CPUS += ADSP2115
#CPUS += ADSP2181
#CPUS += PSXCPU
#CPUS += ASAP
#CPUS += UPD7810
#CPUS += UPD7807
#CPUS += ARM
CPUS += ARM7
#CPUS += JAGUAR
CPUS += R3000
CPUS += R4600
CPUS += R4700
CPUS += R5000
#CPUS += QED5271
#CPUS += RM7000
#CPUS += SH2
#CPUS += DSP32C
#CPUS += PIC16C54
#CPUS += PIC16C55
#CPUS += PIC16C56
#CPUS += PIC16C57
#CPUS += PIC16C58
#CPUS += G65816
#CPUS += SPC700
#CPUS += E116T
#CPUS += E116XT
#CPUS += E116XS
#CPUS += E116XSR
#CPUS += E132N
#CPUS += E132T
#CPUS += E132XN
#CPUS += E132XT
#CPUS += E132XS
#CPUS += E132XSR
#CPUS += GMS30C2116
#CPUS += GMS30C2132
#CPUS += GMS30C2216
#CPUS += GMS30C2232
#CPUS += I386
#CPUS += I486
#CPUS += PENTIUM
#CPUS += MEDIAGX
#CPUS += I960
#CPUS += H83002
CPUS += V810
#CPUS += M37710
#CPUS += PPC403
#CPUS += PPC602
#CPUS += PPC603
#CPUS += SE3208
#CPUS += MC68HC11
#CPUS += ADSP21062
#CPUS += DSP56156



#-------------------------------------------------
# specify available sound cores; some of these are
# only for MESS and so aren't included
#-------------------------------------------------

SOUNDS += CUSTOM
SOUNDS += SAMPLES
SOUNDS += DAC
#SOUNDS += DMADAC
SOUNDS += DISCRETE
SOUNDS += AY8910
SOUNDS += YM2203
SOUNDS += YM2151
#SOUNDS += YM2608
SOUNDS += YM2610
SOUNDS += YM2610B
#SOUNDS += YM2612
#SOUNDS += YM3438
SOUNDS += YM2413
SOUNDS += YM3812
#SOUNDS += YMZ280B
SOUNDS += YM3526
#SOUNDS += Y8950
SOUNDS += SN76477
SOUNDS += SN76496
SOUNDS += POKEY
#SOUNDS += TIA
SOUNDS += NES
#SOUNDS += ASTROCADE
SOUNDS += NAMCO
SOUNDS += NAMCO_15XX
SOUNDS += NAMCO_CUS30
SOUNDS += NAMCO_52XX
SOUNDS += NAMCO_54XX
#SOUNDS += NAMCO_63701X
#SOUNDS += NAMCONA
SOUNDS += TMS36XX
SOUNDS += TMS5110
SOUNDS += TMS5220
SOUNDS += VLM5030
SOUNDS += ADPCM
SOUNDS += OKIM6295
SOUNDS += MSM5205
SOUNDS += MSM5232
SOUNDS += UPD7759
SOUNDS += HC55516
#SOUNDS += K005289
#SOUNDS += K007232
#SOUNDS += K051649
#SOUNDS += K053260
#SOUNDS += K054539
SOUNDS += SEGAPCM
#SOUNDS += RF5C68
#SOUNDS += CEM3394
#SOUNDS += C140
SOUNDS += QSOUND
SOUNDS += SAA1099
#SOUNDS += IREMGA20
SOUNDS += ES5505
SOUNDS += ES5506
#SOUNDS += BSMT2000
#SOUNDS += YMF262
#SOUNDS += YMF278B
#SOUNDS += GAELCO_CG1V
#SOUNDS += GAELCO_GAE1
#SOUNDS += X1_010
#SOUNDS += MULTIPCM
SOUNDS += C6280
SOUNDS += SP0250
#SOUNDS += SCSP
#SOUNDS += YMF271
#SOUNDS += PSXSPU
#SOUNDS += CDDA
SOUNDS += ICS2115
SOUNDS += ST0016
#SOUNDS += C352
#SOUNDS += VRENDER0
#SOUNDS += VOTRAX
SOUNDS += ES8712
#SOUNDS += RF5C400



#-------------------------------------------------
# this is the list of driver libaries that
# comprise MAME
#-------------------------------------------------

DRVLIBS = \
	$(OBJ)/atari.a \
	$(OBJ)/capcom.a \
	$(OBJ)/cinemat.a \
	$(OBJ)/dataeast.a \
	$(OBJ)/gottlieb.a \
	$(OBJ)/igs.a \
	$(OBJ)/irem.a \
	$(OBJ)/itech.a \
	$(OBJ)/jaleco.a \
	$(OBJ)/kaneko.a \
	$(OBJ)/konami.a \
	$(OBJ)/midway.a \
	$(OBJ)/namco.a \
	$(OBJ)/neogeo.a \
	$(OBJ)/nichibut.a \
	$(OBJ)/nintendo.a \
	$(OBJ)/pacman.a \
	$(OBJ)/phoenix.a \
	$(OBJ)/sega.a \
	$(OBJ)/seta.a \
	$(OBJ)/snk.a \
	$(OBJ)/taito.a \
	$(OBJ)/tehkan.a \
	$(OBJ)/toaplan.a \
	$(OBJ)/univers.a \
	$(OBJ)/valadon.a \
	$(OBJ)/misc.a \
	$(OBJ)/shared.a \
	$(OBJ)/agemame.a \
	$(OBJ)/misfit.a \



#-------------------------------------------------
# the following files are general components and
# shared across a number of drivers
#-------------------------------------------------

$(OBJ)/shared.a: \
	$(OBJ)/machine/6532riot.o \
	$(OBJ)/machine/6522via.o \
	$(OBJ)/machine/6821pia.o \
	$(OBJ)/machine/6840ptm.o \
	$(OBJ)/machine/7474.o \
	$(OBJ)/machine/74123.o \
	$(OBJ)/machine/74148.o \
	$(OBJ)/machine/74153.o \
	$(OBJ)/machine/74181.o \
	$(OBJ)/machine/8042kbdc.o \
	$(OBJ)/machine/8237dma.o \
	$(OBJ)/machine/8255ppi.o \
	$(OBJ)/machine/adc083x.o \
	$(OBJ)/machine/idectrl.o \
	$(OBJ)/machine/mc146818.o \
	$(OBJ)/machine/nmk112.o \
	$(OBJ)/machine/pci.o \
	$(OBJ)/machine/pckeybrd.o \
	$(OBJ)/machine/pcshare.o \
	$(OBJ)/machine/pic8259.o \
	$(OBJ)/machine/pit8253.o \
	$(OBJ)/machine/scsicd.o \
	$(OBJ)/machine/scsihd.o \
	$(OBJ)/machine/segacrpt.o \
 	$(OBJ)/machine/smc91c9x.o \
	$(OBJ)/machine/ticket.o \
	$(OBJ)/machine/tmp68301.o \
	$(OBJ)/machine/z80ctc.o \
	$(OBJ)/machine/z80pio.o \
	$(OBJ)/machine/z80sio.o \
	$(OBJ)/vidhrdw/crtc6845.o \
	$(OBJ)/vidhrdw/avgdvg.o \
	$(OBJ)/vidhrdw/poly.o \
	$(OBJ)/vidhrdw/res_net.o \
	$(OBJ)/vidhrdw/tlc34076.o \
	$(OBJ)/vidhrdw/tms34061.o \
 	$(OBJ)/vidhrdw/voodoo.o \



#-------------------------------------------------
# manufacturer-specific groupings for drivers
#-------------------------------------------------

$(OBJ)/atari.a: \
	$(OBJ)/misfit/drivers/asteroid.o $(OBJ)/machine/asteroid.o $(OBJ)/sndhrdw/asteroid.o $(OBJ)/sndhrdw/llander.o \
	$(OBJ)/drivers/bzone.o $(OBJ)/sndhrdw/bzone.o $(OBJ)/misfit/drivers/bwidow.o\
	$(OBJ)/misfit/drivers/centiped.o $(OBJ)/vidhrdw/centiped.o \
	$(OBJ)/misfit/drivers/gauntlet.o $(OBJ)/vidhrdw/gauntlet.o \
	$(OBJ)/misfit/drivers/tempest.o \
	$(OBJ)/machine/atari_vg.o \
	$(OBJ)/machine/atarigen.o \
	$(OBJ)/machine/mathbox.o \
	$(OBJ)/machine/slapstic.o \
	$(OBJ)/sndhrdw/atarijsa.o \
	$(OBJ)/vidhrdw/atarimo.o \
	$(OBJ)/vidhrdw/atarirle.o \
	$(OBJ)/sndhrdw/redbaron.o \

$(OBJ)/capcom.a: \
	$(OBJ)/misfit/drivers/1942.o $(OBJ)/vidhrdw/1942.o \
	$(OBJ)/misfit/drivers/blktiger.o $(OBJ)/vidhrdw/blktiger.o \
	$(OBJ)/misfit/drivers/commando.o $(OBJ)/vidhrdw/commando.o \
	$(OBJ)/misfit/drivers/cps1.o $(OBJ)/vidhrdw/cps1.o \
	$(OBJ)/misfit/drivers/mitchell.o $(OBJ)/vidhrdw/mitchell.o \
	$(OBJ)/machine/kabuki.o \

$(OBJ)/cinemat.a: \
	$(OBJ)/misfit/drivers/cinemat.o $(OBJ)/sndhrdw/cinemat.o $(OBJ)/vidhrdw/cinemat.o \

$(OBJ)/dataeast.a: \
	$(OBJ)/misfit/drivers/astrof.o $(OBJ)/sndhrdw/astrof.o $(OBJ)/vidhrdw/astrof.o \
	$(OBJ)/misfit/drivers/btime.o $(OBJ)/machine/btime.o $(OBJ)/vidhrdw/btime.o \
	$(OBJ)/misfit/drivers/dec0.o $(OBJ)/machine/dec0.o $(OBJ)/vidhrdw/dec0.o \
	$(OBJ)/misfit/drivers/pcktgal.o $(OBJ)/vidhrdw/pcktgal.o \

$(OBJ)/gottlieb.a: \
	$(OBJ)/misfit/drivers/gottlieb.o $(OBJ)/sndhrdw/gottlieb.o $(OBJ)/vidhrdw/gottlieb.o \

$(OBJ)/igs.a: \
	$(OBJ)/misfit/drivers/pgm.o $(OBJ)/vidhrdw/pgm.o \
	$(OBJ)/machine/pgmcrypt.o \
	$(OBJ)/machine/pgmprot.o \
	$(OBJ)/machine/pgmy2ks.o \

$(OBJ)/irem.a: \
	$(OBJ)/misfit/drivers/mpatrol.o $(OBJ)/vidhrdw/mpatrol.o \
	$(OBJ)/machine/irem_cpu.o \
	$(OBJ)/sndhrdw/irem.o \

$(OBJ)/itech.a: \
	$(OBJ)/misfit/drivers/itech8.o $(OBJ)/machine/slikshot.o $(OBJ)/vidhrdw/itech8.o \

$(OBJ)/jaleco.a: \
	$(OBJ)/misfit/drivers/exerion.o $(OBJ)/vidhrdw/exerion.o \

$(OBJ)/konami.a: \
	$(OBJ)/misfit/drivers/amidar.o \
	$(OBJ)/misfit/drivers/frogger.o \
	$(OBJ)/drivers/scobra.o \
	$(OBJ)/misfit/drivers/scramble.o $(OBJ)/machine/scramble.o $(OBJ)/sndhrdw/scramble.o \
	$(OBJ)/misfit/drivers/shaolins.o $(OBJ)/vidhrdw/shaolins.o \
	$(OBJ)/misfit/drivers/trackfld.o $(OBJ)/machine/konami.o $(OBJ)/sndhrdw/trackfld.o $(OBJ)/vidhrdw/trackfld.o \
	$(OBJ)/vidhrdw/konamiic.o \

$(OBJ)/midway.a: \
	$(OBJ)/misfit/drivers/mcr.o $(OBJ)/machine/mcr.o $(OBJ)/sndhrdw/mcr.o $(OBJ)/vidhrdw/mcr.o \
	$(OBJ)/drivers/mcr3.o $(OBJ)/vidhrdw/mcr3.o \
	$(OBJ)/drivers/mcr68.o $(OBJ)/vidhrdw/mcr68.o \
	$(OBJ)/misfit/drivers/williams.o $(OBJ)/machine/williams.o $(OBJ)/sndhrdw/williams.o $(OBJ)/vidhrdw/williams.o \

$(OBJ)/namco.a: \
	$(OBJ)/misfit/drivers/galaga.o $(OBJ)/vidhrdw/galaga.o \
	$(OBJ)/misfit/drivers/galaxian.o $(OBJ)/machine/galaxian.o $(OBJ)/sndhrdw/galaxian.o $(OBJ)/vidhrdw/galaxian.o \
	$(OBJ)/misfit/drivers/mappy.o $(OBJ)/vidhrdw/mappy.o \
	$(OBJ)/misfit/drivers/pacland.o $(OBJ)/vidhrdw/pacland.o \
	$(OBJ)/misfit/drivers/rallyx.o $(OBJ)/vidhrdw/rallyx.o \
	$(OBJ)/drivers/timeplt.o $(OBJ)/sndhrdw/timeplt.o $(OBJ)/vidhrdw/timeplt.o \
	$(OBJ)/machine/namcoio.o \
	$(OBJ)/vidhrdw/bosco.o \
	$(OBJ)/vidhrdw/digdug.o \
	$(OBJ)/machine/xevious.o $(OBJ)/vidhrdw/xevious.o \


$(OBJ)/neogeo.a: \
#	$(OBJ)/misfit/drivers/neogeo.o $(OBJ)/machine/neogeo.o $(OBJ)/vidhrdw/neogeo.o \
#	$(OBJ)/misfit/machine/mneoboot.o \
#	$(OBJ)/machine/neocrypt.o \
#	$(OBJ)/machine/neoprot.o \
#	$(OBJ)/machine/pd4990a.o \

$(OBJ)/nichibut.a: \
	$(OBJ)/misfit/drivers/cclimber.o $(OBJ)/machine/cclimber.o $(OBJ)/sndhrdw/cclimber.o $(OBJ)/vidhrdw/cclimber.o \

$(OBJ)/nintendo.a: \
	$(OBJ)/misfit/drivers/dkong.o $(OBJ)/sndhrdw/dkong.o $(OBJ)/vidhrdw/dkong.o \
	$(OBJ)/misfit/drivers/mario.o $(OBJ)/sndhrdw/mario.o $(OBJ)/vidhrdw/mario.o \
	$(OBJ)/misfit/drivers/playch10.o $(OBJ)/machine/playch10.o $(OBJ)/vidhrdw/playch10.o \
	$(OBJ)/misfit/drivers/vsnes.o $(OBJ)/machine/vsnes.o $(OBJ)/vidhrdw/vsnes.o \
	$(OBJ)/machine/drakton.o \
	$(OBJ)/machine/rp5h01.o \
	$(OBJ)/machine/strtheat.o \
	$(OBJ)/vidhrdw/ppu2c03b.o \
	$(OBJ)/vidhrdw/ppu2c0x.o \

$(OBJ)/pacman.a: \
	$(OBJ)/misfit/drivers/jrpacman.o \
	$(OBJ)/misfit/drivers/pacman.o $(OBJ)/vidhrdw/pacman.o \
	$(OBJ)/misfit/drivers/pengo.o \
	$(OBJ)/machine/acitya.o \
	$(OBJ)/machine/jumpshot.o \
	$(OBJ)/machine/mspacman.o \
	$(OBJ)/machine/pacplus.o \
	$(OBJ)/machine/theglobp.o \

$(OBJ)/phoenix.a: \
	$(OBJ)/misfit/drivers/phoenix.o $(OBJ)/sndhrdw/phoenix.o $(OBJ)/vidhrdw/phoenix.o \
	$(OBJ)/sndhrdw/pleiads.o \

$(OBJ)/sega.a: \
	$(OBJ)/misfit/drivers/dotrikun.o $(OBJ)/vidhrdw/dotrikun.o \
	$(OBJ)/drivers/megaplay.o \
	$(OBJ)/drivers/megatech.o \
	$(OBJ)/drivers/genesis.o $(OBJ)/vidhrdw/genesis.o \
	$(OBJ)/misfit/drivers/segag80r.o $(OBJ)/machine/segag80.o $(OBJ)/sndhrdw/segag80r.o $(OBJ)/vidhrdw/segag80r.o \
	$(OBJ)/drivers/segas16a.o $(OBJ)/vidhrdw/segas16a.o \
	$(OBJ)/drivers/segas18.o $(OBJ)/vidhrdw/segas18.o \
	$(OBJ)/drivers/segasyse.o $(OBJ)/vidhrdw/segasyse.o \
	$(OBJ)/misfit/drivers/system1.o $(OBJ)/vidhrdw/system1.o \
	$(OBJ)/misfit/drivers/system16.o $(OBJ)/machine/system16.o $(OBJ)/sndhrdw/system16.o $(OBJ)/vidhrdw/system16.o $(OBJ)/vidhrdw/sys16spr.o \
	$(OBJ)/drivers/system18.o \
	$(OBJ)/machine/53c810.o \
	$(OBJ)/machine/fd1089.o \
	$(OBJ)/machine/fd1094.o \
	$(OBJ)/machine/mc8123.o \
	$(OBJ)/machine/s16fd.o \
	$(OBJ)/machine/s24fd.o \
	$(OBJ)/machine/scudsp.o \
	$(OBJ)/machine/segaic16.o \
	$(OBJ)/sndhrdw/segasnd.o \
	$(OBJ)/vidhrdw/segaic16.o \
	$(OBJ)/vidhrdw/segaic24.o \
	$(OBJ)/vidhrdw/stvvdp1.o $(OBJ)/vidhrdw/stvvdp2.o \

$(OBJ)/seta.a: \
	$(OBJ)/misfit/drivers/st0016.o $(OBJ)/vidhrdw/st0016.o \

$(OBJ)/snk.a: \
	$(OBJ)/misfit/drivers/rockola.o $(OBJ)/sndhrdw/rockola.o $(OBJ)/vidhrdw/rockola.o \

$(OBJ)/taito.a: \
	$(OBJ)/misfit/drivers/arkanoid.o $(OBJ)/machine/arkanoid.o $(OBJ)/vidhrdw/arkanoid.o \
	$(OBJ)/misfit/drivers/bublbobl.o $(OBJ)/machine/bublbobl.o $(OBJ)/vidhrdw/bublbobl.o \
	$(OBJ)/misfit/drivers/rastan.o $(OBJ)/vidhrdw/rastan.o \
	$(OBJ)/misfit/drivers/taito_b.o $(OBJ)/vidhrdw/taito_b.o \
	$(OBJ)/misfit/drivers/taito_f2.o $(OBJ)/vidhrdw/taito_f2.o \
	$(OBJ)/misfit/drivers/taito_f3.o $(OBJ)/vidhrdw/taito_f3.o $(OBJ)/sndhrdw/taito_en.o \
	$(OBJ)/machine/cchip.o \
	$(OBJ)/machine/mb87078.o \
	$(OBJ)/sndhrdw/taitosnd.o \
	$(OBJ)/vidhrdw/taitoic.o \
	$(OBJ)/misfit/drivers/volfied.o $(OBJ)/machine/volfied.o $(OBJ)/vidhrdw/volfied.o \

$(OBJ)/tehkan.a: \
	$(OBJ)/misfit/drivers/bombjack.o $(OBJ)/vidhrdw/bombjack.o \
	$(OBJ)/misfit/drivers/tecmo.o $(OBJ)/vidhrdw/tecmo.o \
	$(OBJ)/misfit/drivers/tehkanwc.o $(OBJ)/vidhrdw/tehkanwc.o \

$(OBJ)/toaplan.a: \
	$(OBJ)/misfit/drivers/twincobr.o $(OBJ)/machine/twincobr.o $(OBJ)/vidhrdw/twincobr.o \
	$(OBJ)/drivers/wardner.o \

$(OBJ)/univers.a: \
	$(OBJ)/misfit/drivers/docastle.o $(OBJ)/machine/docastle.o $(OBJ)/vidhrdw/docastle.o \
	$(OBJ)/misfit/drivers/mrdo.o $(OBJ)/vidhrdw/mrdo.o \

$(OBJ)/valadon.a: \
	$(OBJ)/misfit/drivers/bagman.o $(OBJ)/machine/bagman.o $(OBJ)/vidhrdw/bagman.o \

#-------------------------------------------------
# remaining drivers
#-------------------------------------------------

$(OBJ)/misc.a: \
	$(OBJ)/misfit/drivers/kyugo.o $(OBJ)/vidhrdw/kyugo.o \

#-------------------------------------------------
# additional drivers from AGEMAME
#-------------------------------------------------

$(OBJ)/agemame.a: \
	$(OBJ)/misfit/vidhrdw/awpvid.o \
	$(OBJ)/vidhrdw/bfm_adr2.o \
	$(OBJ)/misfit/vidhrdw/bfm_dm01.o \
	$(OBJ)/misfit/drivers/bfm_sc1.o \
	$(OBJ)/misfit/drivers/bfm_sc2.o \
	$(OBJ)/misfit/drivers/bfm_sc4.o \
	$(OBJ)/misfit/drivers/bfmsys85.o \
	$(OBJ)/machine/6840ptm.o \
	$(OBJ)/misfit/drivers/mpu4.o \
	$(OBJ)/machine/lamps.o \
	$(OBJ)/machine/mmtr.o \
	$(OBJ)/machine/steppers.o \
	$(OBJ)/machine/vacfdisp.o \
	
#-------------------------------------------------
# additional drivers from MisfitMAME
#-------------------------------------------------

$(OBJ)/misfit.a: \
	$(OBJ)/misfit/drivers/monaco.o $(OBJ)/misfit/vidhrdw/monaco.o \
	$(OBJ)/misfit/vidhrdw/pong.o $(OBJ)/misfit/sndhrdw/pong.o $(OBJ)/misfit/drivers/pong.o \
	$(OBJ)/misfit/vidhrdw/pacmanx.o $(OBJ)/misfit/drivers/pacmanx.o \


#-------------------------------------------------
# layout dependencies
#-------------------------------------------------

$(OBJ)/drivers/bzone.o:			$(OBJ)/layout/bzone.lh

$(OBJ)/misfit/vidhrdw/awpvid.o:		$(OBJ)/misfit/layout/awpvid.lh

$(OBJ)/misfit/drivers/bfm_sc1.o:	$(OBJ)/misfit/layout/bfm_sc1.lh
$(OBJ)/misfit/drivers/bfm_sc2.o:	$(OBJ)/layout/bfm_sc2.lh \
					$(OBJ)/misfit/layout/awpdmd.lh \
					$(OBJ)/misfit/layout/drwho.lh

$(OBJ)/misfit/drivers/cinemat.o:	$(OBJ)/layout/solarq.lh \
					$(OBJ)/layout/starcas.lh

$(OBJ)/misfit/drivers/monaco.o:		$(OBJ)/misfit/layout/monaco.lh
$(OBJ)/misfit/drivers/mpu4.o:		$(OBJ)/layout/mpu4.lh
